# goal-scoring.properties
# WARNING: defaults loaded from resource classpath:/defaults.properties

# override(s)
default.environment=debug
default.environment_dtp=test
default.home_folder=/var/local/sophia/${default.environment_dtp}/goal/codifica
big_decimal.scale=20
big_decimal.tolerance=1e-6
log4j.configuration=${default.home_folder}/goal-scoring-log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties


# goal scoring
goal_scoring.locked=false
#goal_scoring.debug=true
goal_scoring.bind_port=4446
goal_scoring.stats_frequency=5s
goal_scoring.thread_count=4

goal_scoring.sql.select_right_split=\
    select m0.DEM as dem \
         , m0.DRM as drm \
      from ML_RIGHT_SPLIT m0 \
     where m0.SERVICE = {service} \
       and m0.VALID_FROM < {validFrom} \
       and not exists ( \
        select * \
          from ML_RIGHT_SPLIT m1 \
         where m1.SERVICE = {service} \
           and m1.VALID_FROM > m0.VALID_FROM \
           and m1.VALID_FROM < {validFrom})  
goal_scoring.sql.select_anglo_american_config=\
    select m0.FILE_PATH AS s3FileUrl \
      from ML_REGOLE_REP_ANGLAM m0 \
     where m0.VALID_FROM < {validFrom} \
       and not exists ( \
		select * \
          from ML_REGOLE_REP_ANGLAM m1 \
         where m1.VALID_FROM > m0.VALID_FROM \
           and m1.VALID_FROM < {validFrom})  
goal_scoring.sql.select_to_process=\
    select a.ID_ML_REPORT as id \
         , a.LICENZA as license \
         , a.CODICE_LICENZIATARIO as licenseeCode \
         , a.NOMINATIVO_LICENZIATARIO as licenseeName \
         , a.SERVIZIO as service \
         , a.ORIG_PERIODO_COMPETENZA as period \
         , DATE_FORMAT(a.PERIODO_COMPETENZA_DATA_DA, '%Y-%m-%d') as periodDateFrom \
         , DATE_FORMAT(a.PERIODO_COMPETENZA_DATA_A, '%Y-%m-%d') as periodDateTo \
         , a.MOD_UTILIZZAZIONE as utilizationMode \
         , a.MOD_FRUIZIONE as fruitionMode \
         , a.IN_ABBONAMENTO as subscription \
         , a.IDENTIFICATIVO_REPORT as reportId \
         , a.POSIZIONE_REPORT_CODIFICATO as inputFileUrl \
         , '' as invoiceId \
         , b.MODALITA as commercialOffer \
         , b.TIPO_UTILIZZO as useType \
      from ML_REPORT a \
      left join ML_MODALITA_UTILIZZAZIONE b on b.ID = a.MOD_UTILIZZAZIONE \
     where a.STATO = 'CODIFICATO' \
       and a.STATO_LOGICO = 'ACCETTATO' \
     limit 10
goal_scoring.sql.update_started=\
    update ML_REPORT \
       set STATO = 'IN_VALORIZZAZIONE' \
         , POSIZIONE_REPORT_VALORIZZATO = NULL \
         , DATA_VALORIZZAZIONE = CURRENT_TIMESTAMP() \
         , VALORIZZAZIONE_INFO = {additionalInfo} \
         , CODIFICA_STATISTICHE = NULL \
     where ID_ML_REPORT = {id}
goal_scoring.sql.update_completed=\
    update ML_REPORT \
       set STATO = 'VALORIZZATO' \
         , POSIZIONE_REPORT_VALORIZZATO = {outputFileUrl} \
         , DATA_VALORIZZAZIONE = CURRENT_TIMESTAMP() \
         , VALORIZZAZIONE_INFO = {additionalInfo} \
         , CODIFICA_STATISTICHE = {additionalInfo} \
     where ID_ML_REPORT = {id}
goal_scoring.sql.update_failed=\
    update ML_REPORT \
       set STATO = 'ERRORE_VALORIZZAZIONE' \
         , POSIZIONE_REPORT_VALORIZZATO = NULL \
         , DATA_VALORIZZAZIONE = CURRENT_TIMESTAMP() \
         , VALORIZZAZIONE_INFO = {additionalInfo} \
         , CODIFICA_STATISTICHE = NULL \
     where ID_ML_REPORT = {id}

goal_scoring.home_folder=${default.home_folder}
goal_scoring.output_file_url=s3://siae-sophia-multimediale-locale/${default.environment_dtp}/VALORIZZAZIONE/{reportId}.csv

goal_scoring.royalty_database.format=com.alkemytech.sophia.goal.royalty.BerkeleyDbRoyaltyDatabase
#goal_scoring.royalty_database.format=com.alkemytech.sophia.goal.royalty.RoyaltyDatabaseImpl
goal_scoring.royalty_database.local_folder=${default.home_folder}/royalty.nosql.{year}{month}
goal_scoring.royalty_database.cache_size=1024
goal_scoring.royalty_database.s3_folder_url=s3://siae-sophia-multimediale-locale/${default.environment_dtp}/ROYALTY_SCHEMES/{year}{month}

goal_scoring.latest_filename=_LATEST
goal_scoring.remove_zero_royalties=true
goal_scoring.remove_unidentified=false
goal_scoring.remove_provisional=false
goal_scoring.remove_zero_sales=true
goal_scoring.unidentified_code_prefix=UL
goal_scoring.provisional_code_prefix=P
goal_scoring.not_associated_account_code=09
goal_scoring.permanent_account_codes=55,56,86
goal_scoring.ex_art18_rate=0.05
goal_scoring.early_ex_art18=false

goal_scoring.anglo_american.artist_roles=CO,AO,CA
goal_scoring.anglo_american.sub_editor_roles=SE
goal_scoring.anglo_american.cross_dem_drm=true
goal_scoring.anglo_american.exclude_zero=true
goal_scoring.anglo_american.delimiter=;
goal_scoring.anglo_american.sub_delimiter=:
goal_scoring.anglo_american.skip_rows=1

goal_scoring.skip_rows=1
goal_scoring.delimiter=;
goal_scoring.split_regex=\\|
goal_scoring.columns=9
goal_scoring.column.titolo_opera=0
goal_scoring.column.autore=1
goal_scoring.column.editore=2
goal_scoring.column.interprete=3
goal_scoring.column.utilizzazioni=4
#goal_scoring.column.prezzo_di_vendita=5
goal_scoring.column.codice_opera=6
#goal_scoring.column.codice_iswc=7
#goal_scoring.column.codice_isrc=8


